summaryrefslogtreecommitdiffstats
path: root/debian/tests/testsuite-live
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/testsuite-live')
-rw-r--r--debian/tests/testsuite-live17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/tests/testsuite-live b/debian/tests/testsuite-live
new file mode 100644
index 0000000..bbf20d0
--- /dev/null
+++ b/debian/tests/testsuite-live
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -eu
+
+. debian/tests/common
+
+# manually build necessary files against the installed libseccomp
+
+# build live tests
+for filename in *-live-*.tests; do
+ testname=$(echo "$filename" | cut -f 1 -d '.')
+ echo "Building $testname ..."
+ gcc -O2 -g "${testname}.c" util.c -pthread -lseccomp -o "$testname"
+done
+
+echo "Running test suite ..."
+./regression -T live